Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.management.relation
Class RoleResult

    java.lang.Object
      |
      +--javax.management.relation.RoleResult

All Implemented Interfaces:
  java.io.Serializable

public class RoleResult
extends java.lang.Object
implements java.io.Serializable

Represents the result of a multiple access to several roles of a relation (either for reading or writing).

See Also:
  Serialized Form

Constructor Summary
`RoleResult(RoleList theRoleList, RoleUnresolvedList theRoleUnresList)` Constructor

Method Summary
`RoleList` | `getRoles()` Retrieves list of roles successfully accessed
`RoleUnresolvedList` | `getRolesUnresolved()` Retrieves list of roles unsuccessfully accessed
`void` | `setRoles(RoleList _roleList)` Sets list of roles successfully accessed
`void` | `setRolesUnresolved(RoleUnresolvedList _roleUnresList)` Sets list of roles unsuccessfully accessed

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RoleResult

    public RoleResult(RoleList theRoleList,
                      RoleUnresolvedList theRoleUnresList)

  Constructor

Parameters:
  `theRoleList` - list of roles succesfully accessed
  `theRoleUnresList` - list of roles not accessed (with problem descriptions)

Method Detail

### getRoles

    public RoleList getRoles()

  Retrieves list of roles successfully accessed

  Returns:
    a RoleList

### getRolesUnresolved

    public RoleUnresolvedList getRolesUnresolved()

  Retrieves list of roles unsuccessfully accessed

  Returns:
    a RoleUnresolvedList

### setRoles

    public void setRoles(RoleList _roleList)

  Sets list of roles successfully accessed

  Parameters:
    `_roleList` - list of roles successfully accessed

### setRolesUnresolved

    public void setRolesUnresolved(RoleUnresolvedList _roleUnresList)

  Sets list of roles unsuccessfully accessed

  Parameters:
    `_roleUnresList` - list of roles unsuccessfully accessed

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD